import * as React from "react";
import { SpectrumDialogProps, SpectrumAlertDialogProps, SpectrumDialogTriggerProps } from "@react-ui-types/dialog";
/**
 * Dialogs are windows containing contextual information, tasks, or workflows that appear over the user interface.
 * Depending on the kind of Dialog, further interactions may be blocked until the Dialog is acknowledged.
 */
export let Dialog: React.ForwardRefExoticComponent<SpectrumDialogProps & React.RefAttributes<import("@react-ui-types/shared").DOMRefValue<HTMLElement>>>;
/**
 * AlertDialogs are a specific type of Dialog. They display important information that users need to acknowledge.
 */
export let AlertDialog: React.ForwardRefExoticComponent<SpectrumAlertDialogProps & React.RefAttributes<import("@react-ui-types/shared").DOMRefValue<HTMLElement>>>;
/**
 * DialogTrigger serves as a wrapper around a Dialog and its associated trigger, linking the Dialog's
 * open state with the trigger's press state. Additionally, it allows you to customize the type and
 * positioning of the Dialog.
 */
export let DialogTrigger: (props: SpectrumDialogTriggerProps) => JSX.Element;

//# sourceMappingURL=types.d.ts.map
